SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000406SiT!inbound emailpublic2009-01-15 14:222009-08-16 14:38
Reporternicdev 
Assigned Toivan 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.41 
Target Version3.50Fixed in Version3.50 
Summary0000406: Inbound email with ' in the email address - email is deleted and not imported to the holding queue
DescriptionWhen we receive an email from a customer with a (') in his email address, the mail script deletes it from the server inbox, but does not import it to the holding queue. There is no error reported- except for the SiT error log on the server:

Thu, 15 Jan 2009 14:29:23 +0000 Application Warning [512] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'xxxxxxxxxxxxxxxxxxxxx@xxxxxx.com', 'xxxxxxxx, xxxxxxxx', 'RE: Problem with xxxxxxxxxxxxxx' at line 1in [INSERT INTO `sit_tempincoming` (updateid, incidentid, `from`, emailfrom, subject, reason, contactid) VALUES ('5508', '0', 'xxxxxxxxxxxx'xxxxxxxxxxxxx@xxxxxx.com', 'xxxxxxxxxxxx, xxxxxxxxxxx', 'RE: Problem with xxxxxxxxxxxxxxxxx', 'Possible new incident', '' )] (in line 363 of file C:\wamp\www\sit\htdocs\inboundemail.php)

Additional InformationThis is related to: "0000370: Escaped characters in DB affects other sit functions."

I am using the inbound script of 3.45.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000370closedivan Escaped characters in DB affects other sit functions. 

-  Notes
User avatar (0000931)
ivan (administrator)
2009-04-17 16:10

No longer a problem for trunk svn r5330
User avatar (0001608)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-01-15 14:22 nicdev New Issue
2009-01-15 14:22 nicdev Status new => assigned
2009-01-15 14:22 nicdev Assigned To => kieran
2009-01-15 15:06 nicdev Assigned To kieran => nicdev
2009-01-15 15:10 nicdev Assigned To nicdev =>
2009-01-15 15:10 nicdev Status assigned => new
2009-03-05 13:55 ivan Relationship added related to 0000370
2009-04-17 16:10 ivan Note Added: 0000931
2009-04-17 16:10 ivan Assigned To => ivan
2009-04-17 16:10 ivan Status new => resolved
2009-04-17 16:10 ivan Resolution open => fixed
2009-04-17 16:10 ivan Fixed in Version => Current SVN
2009-04-17 16:10 ivan Target Version => 3.50
2009-08-16 13:17 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001608
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker